1. AC Question's Avatar
    The play store says my device is not compatible
    05-18-2015 04:41 PM
  2. Ry's Avatar
    The play store says my device is not compatible
    What device do you have?
    05-18-2015 04:57 PM
  3. Horselance's Avatar
    It requires 4.0+. Maybe thats the reason. Or It requires 1.5 Gigs of free space, thats also possible.
    05-21-2015 08:21 AM
  4. pimago's Avatar
    The game requires recent hardware to run properly AFAIK
    05-22-2015 05:47 PM

Similar Threads

  1. Install only play store - Not gapps.
    By john808 in forum General Help and How To
    Replies: 4
    Last Post: 05-20-2015, 04:20 PM
  2. Is the Samsung Galaxy s3 a good phone for me?
    By AC Question in forum Ask a Question
    Replies: 2
    Last Post: 05-18-2015, 05:27 PM
  3. Galaxy S6 can't download Play Store Apps
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 05-18-2015, 04:52 PM
  4. Replies: 1
    Last Post: 05-18-2015, 04:49 PM
  5. Why won't my htc 1 send pictures as a text message today?
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 05-18-2015, 04:13 PM
LINK TO POST COPIED TO CLIPBOARD